Ubuntu

Kernel version 3.0 not supported

Reported by John Cooper on 2011-06-24
160
This bug affects 31 people
Affects Status Importance Assigned to Milestone
laptop-mode-tools (Debian)
Fix Released
Unknown
laptop-mode-tools (Ubuntu)
High
Unassigned

Bug Description

With the latest oneiric 3.0 kernel version

I get the following in /var/log/syslog

laptop-mode: Unhandled kernel version: 3.0 ('uname -r' = '3.0-1-generic')

I have added s "3.0");; to the file /usr/sbin/laptop_mode about line 506 so it reads as follows:

    case "$KLEVEL" in
     "2.4" ) ;;
     "2.6" ) ;;
     "3.0" ) ;;
     *)
      log "ERR" "Unhandled kernel version: $KLEVEL ('uname -r' = '$(uname -r)')" >&2
      exit 1
      ;;

This lets it work.

On 06/24/2011 09:15 PM, John Cooper wrote:
> Public bug reported:
>
> With the latest oneiric 3.0 kernel version
>
> I get the following in /var/log/syslog
>
> laptop-mode: Unhandled kernel version: 3.0 ('uname -r' =
> '3.0-1-generic')
>
> I have added s "3.0");; to the file /usr/sbin/laptop_mode about line 506
> so it reads as follows:
>
> case "$KLEVEL" in
> "2.4" ) ;;
> "2.6" ) ;;
> "3.0" ) ;;
> *)
> log "ERR" "Unhandled kernel version: $KLEVEL ('uname -r' = '$(uname -r)')" >&2
> exit 1
> ;;
>
A new release is due any time soon. That will solve this problem.

--
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System

Changed in laptop-mode-tools (Debian):
status: Unknown → Fix Released
Changed in laptop-mode-tools (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) wrote :

Confirmed this bug in oneiric. It looks like it is fixed in laptop-mode-tools 1.58-1; we probably should merge up to 1.58-3.

Changed in laptop-mode-tools (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged

I did the above fix, and now I get a core dump on 3.0, and "Failed." for 2.6.35
I was getting the same error as OP.

Christian Mertes (cmertes) wrote :
Download full text (5.3 KiB)

"We probably should" at the end of August and that's it? Anyway, this bug is still there. I applied the workaround and got this:

 * Enabling laptop mode...
*** buffer overflow detected ***: hal-disable-polling terminated
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(__fortify_fail+0x37)[0x7f2234cd27f7]
/lib/x86_64-linux-gnu/libc.so.6(+0xf7710)[0x7f2234cd1710]
/lib/x86_64-linux-gnu/libc.so.6(+0xf7d3b)[0x7f2234cd1d3b]
hal-disable-polling[0x40141c]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xed)[0x7f2234bfb30d]
hal-disable-polling[0x40165d]
======= Memory map: ========
00400000-00403000 r-xp 00000000 08:21 2496772 /usr/bin/hal-disable-polling
00602000-00603000 r--p 00002000 08:21 2496772 /usr/bin/hal-disable-polling
00603000-00604000 rw-p 00003000 08:21 2496772 /usr/bin/hal-disable-polling
01a86000-01aa7000 rw-p 00000000 00:00 0 [heap]
7f2234580000-7f2234595000 r-xp 00000000 08:21 1054338 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f2234595000-7f2234794000 ---p 00015000 08:21 1054338 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f2234794000-7f2234795000 r--p 00014000 08:21 1054338 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f2234795000-7f2234796000 rw-p 00015000 08:21 1054338 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f2234796000-7f223479d000 r-xp 00000000 08:21 1054333 /lib/x86_64-linux-gnu/librt-2.13.so
7f223479d000-7f223499c000 ---p 00007000 08:21 1054333 /lib/x86_64-linux-gnu/librt-2.13.so
7f223499c000-7f223499d000 r--p 00006000 08:21 1054333 /lib/x86_64-linux-gnu/librt-2.13.so
7f223499d000-7f223499e000 rw-p 00007000 08:21 1054333 /lib/x86_64-linux-gnu/librt-2.13.so
7f223499e000-7f22349d9000 r-xp 00000000 08:21 1054345 /lib/x86_64-linux-gnu/libpcre.so.3.12.1
7f22349d9000-7f2234bd8000 ---p 0003b000 08:21 1054345 /lib/x86_64-linux-gnu/libpcre.so.3.12.1
7f2234bd8000-7f2234bd9000 r--p 0003a000 08:21 1054345 /lib/x86_64-linux-gnu/libpcre.so.3.12.1
7f2234bd9000-7f2234bda000 rw-p 0003b000 08:21 1054345 /lib/x86_64-linux-gnu/libpcre.so.3.12.1
7f2234bda000-7f2234d6f000 r-xp 00000000 08:21 1054332 /lib/x86_64-linux-gnu/libc-2.13.so
7f2234d6f000-7f2234f6e000 ---p 00195000 08:21 1054332 /lib/x86_64-linux-gnu/libc-2.13.so
7f2234f6e000-7f2234f72000 r--p 00194000 08:21 1054332 /lib/x86_64-linux-gnu/libc-2.13.so
7f2234f72000-7f2234f73000 rw-p 00198000 08:21 1054332 /lib/x86_64-linux-gnu/libc-2.13.so
7f2234f73000-7f2234f79000 rw-p 00000000 00:00 0
7f2234f79000-7f2234f91000 r-xp 00000000 08:21 1054362 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f2234f91000-7f2235190000 ---p 00018000 08:21 1054362 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f2235190000-7f2235191000 r--p 00017000 08:21 1054362 /lib/x86_64-linux-gnu/libpthread-2.13.so
7f2235191000-7f2235192000 rw-p 000...

Read more...

Tim Abell (tim-abell) wrote :

"Bug No longer marked as fixed in versions laptop-mode-tools/1.58-1" & "Bug archived." - from the debian bug tracker.

I guess this means the status of "Fix-released" for debian on this bug is no longer valid. I don't seem to be able to follow the trail any further. :'-(

(for the record I'm trying to use laptop-mode-tools to stop folding@home stepping up my cpu scaling, and currently failing)

Lorenzo Bettini (bettini) wrote :
Download full text (3.4 KiB)

by applying the workaround I get a similar problem

 * Enabling laptop mode... *** buffer overflow detected ***: hal-disable-polling terminated
======= Backtrace: =========
/lib/i386-linux-gnu/libc.so.6(__fortify_fail+0x45)[0x2538d5]
/lib/i386-linux-gnu/libc.so.6(+0xe66d7)[0x2526d7]
/lib/i386-linux-gnu/libc.so.6(+0xe6ec7)[0x252ec7]
hal-disable-polling[0x804910d]
/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf3)[0x185113]
hal-disable-polling[0x8049361]
======= Memory map: ========
00110000-00157000 r-xp 00000000 08:06 932828 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
00157000-00158000 r--p 00046000 08:06 932828 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
00158000-00159000 rw-p 00047000 08:06 932828 /lib/i386-linux-gnu/libdbus-1.so.3.5.7
00159000-0016a000 r-xp 00000000 08:06 420 /usr/lib/libhal.so.1.0.0
0016a000-0016b000 r--p 00010000 08:06 420 /usr/lib/libhal.so.1.0.0
0016b000-0016c000 rw-p 00011000 08:06 420 /usr/lib/libhal.so.1.0.0
0016c000-002e2000 r-xp 00000000 08:06 949460 /lib/i386-linux-gnu/libc-2.13.so
002e2000-002e4000 r--p 00176000 08:06 949460 /lib/i386-linux-gnu/libc-2.13.so
002e4000-002e5000 rw-p 00178000 08:06 949460 /lib/i386-linux-gnu/libc-2.13.so
002e5000-002e8000 rw-p 00000000 00:00 0
002e8000-00304000 r-xp 00000000 08:06 920942 /lib/i386-linux-gnu/libgcc_s.so.1
00304000-00305000 r--p 0001b000 08:06 920942 /lib/i386-linux-gnu/libgcc_s.so.1
00305000-00306000 rw-p 0001c000 08:06 920942 /lib/i386-linux-gnu/libgcc_s.so.1
004a3000-0059a000 r-xp 00000000 08:06 932813 /lib/i386-linux-gnu/libglib-2.0.so.0.3000.0
0059a000-0059b000 r--p 000f6000 08:06 932813 /lib/i386-linux-gnu/libglib-2.0.so.0.3000.0
0059b000-0059c000 rw-p 000f7000 08:06 932813 /lib/i386-linux-gnu/libglib-2.0.so.0.3000.0
00619000-00656000 r-xp 00000000 08:06 959037 /lib/i386-linux-gnu/libpcre.so.3.12.1
00656000-00657000 r--p 0003c000 08:06 959037 /lib/i386-linux-gnu/libpcre.so.3.12.1
00657000-00658000 rw-p 0003d000 08:06 959037 /lib/i386-linux-gnu/libpcre.so.3.12.1
00926000-0093d000 r-xp 00000000 08:06 949474 /lib/i386-linux-gnu/libpthread-2.13.so
0093d000-0093e000 r--p 00016000 08:06 949474 /lib/i386-linux-gnu/libpthread-2.13.so
0093e000-0093f000 rw-p 00017000 08:06 949474 /lib/i386-linux-gnu/libpthread-2.13.so
0093f000-00941000 rw-p 00000000 00:00 0
00b29000-00b47000 r-xp 00000000 08:06 949457 /lib/i386-linux-gnu/ld-2.13.so
00b47000-00b48000 r--p 0001d000 08:06 949457 /lib/i386-linux-gnu/ld-2.13.so
00b48000-00b49000 rw-p 0001e000 08:06 949457 /lib/i386-linux-gnu/ld-2.13.so
00b84000-00b8b000 r-xp 00000000 08:06 949476 /lib/i386-linux-gnu/librt-2.13.so
00b8b000-00b8c000 r--p 00006000 08:06 949476 /lib/i386-linux-gnu/librt-2.13.so
00b8c000-00b8d000 rw-p 00007000 08:06 949476 /lib/i386-linux-gnu/librt-2.13.so
00dd9000-00dda000 r-xp 00000000 00:00 0 [vdso]
08048000-0804a000 r-xp 00000000 08:06 48707 /usr/bin/hal-disable-polling
0804a000-0804b000 r--p 00001000 08:06 48707 /usr/bin/hal-disable-polling
0804b000-0804c000 rw-p 00002000 08:06 48707 /usr/bin/hal-disable-polling
0...

Read more...

Mekk (marcin-kasperski) wrote :

If I understand correctly, this problem is responsible for drastically shortened time on battery, lack of auto-hibernation on battery low, and higher temperature of my laptop – which I observe since upgrading to Ubuntu 11.10 – and which mostly render my laptop unusable on battery.

Mekk (marcin-kasperski) wrote :

The backtrace can be worked around by disabling this very module:

/etc/laptop-mode/conf.d/hal-polling.conf:

#CONTROL_HAL_POLLING="auto"
CONTROL_HAL_POLLING=0

After this pach laptop_mode starts/stops properly.

I am not sure about the impact of disabling HAL polling.

piccobello (piccobello) wrote :

I can confirm that the workaround proposed by John in the bug description,
together with the turnaround proposed by Mekk In Comment #8, work for
me. I still have to test the powerdrain of kernel 3.0, but it seems to have
reduced my battery life since 2.6
Using Kubuntu Oneiric, kernel 3.0.0-13.22, laptop-mode-tools 1.57-1ubuntu1

Phillip Susi (psusi) on 2012-01-24
Changed in laptop-mode-tools (Ubuntu):
status: Triaged → Fix Released

The fix seems not to have been backported to 11.10 Oneiric.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.